com.hazelcast.org.snakeyaml.engine.v1.nodes

## Class CollectionNode<T>

- java.lang.Object
- - com.hazelcast.org.snakeyaml.engine.v1.nodes.Node
  - - com.hazelcast.org.snakeyaml.engine.v1.nodes.CollectionNode<T>

- Direct Known Subclasses:
    MappingNode, SequenceNode

      public abstract class CollectionNode<T>
      extends Node

  Base class for the two collection types `mapping` and `collection`.

- - ### Field Summary

    - ### Fields inherited from class com.hazelcast.org.snakeyaml.engine.v1.nodes.Node

      `endMark, resolved`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CollectionNode(Tag tag, FlowStyle flowStyle, Optional<Mark> startMark, Optional<Mark> endMark)`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `FlowStyle` | `getFlowStyle()` Serialization style of this collection.
    `abstract List<T>` | `getValue()` Returns the elements in this sequence.
    `void` | `setEndMark(Optional<Mark> endMark)`
    `void` | `setFlowStyle(FlowStyle flowStyle)`

    - ### Methods inherited from class com.hazelcast.org.snakeyaml.engine.v1.nodes.Node

      `equals, getConstruct, getEndMark, getNodeType, getStartMark, getTag, hashCode, isRecursive, setConstruct, setRecursive, setTag`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CollectionNode

          public CollectionNode(Tag tag,
                                FlowStyle flowStyle,
                                Optional<Mark> startMark,
                                Optional<Mark> endMark)

  - ### Method Detail

    - #### getValue

          public abstract List<T> getValue()

      Returns the elements in this sequence.
      Returns:
        Nodes in the specified order.

    - #### getFlowStyle

          public FlowStyle getFlowStyle()

      Serialization style of this collection.
      Returns:
        `true` for flow style, `false` for block style.

    - #### setFlowStyle

          public void setFlowStyle(FlowStyle flowStyle)

    - #### setEndMark

          public void setEndMark(Optional<Mark> endMark)

Copyright © 2019. All rights reserved.